<?php
	include_once(__DIR__."/../../core.php");
	
	$idutente = $html->form('idutente');
	$module_name = 'Utenti e Profili';

	
	$rs = $dbo->fetchArray("select id as idpannello , descrizione from zz_pannello_righe");	
	$n2 = sizeof($rs);
	
	$rs_stati = $dbo->fetchArray("select id as iddimensione , descrizione from zz_pannello_righe_dimensione");	
	$n3 = sizeof($rs_stati);
	
	
	
	
	echo "<label></label><br><br>\n";
	echo "<form id=\"link_form\" action=\"".$rootdir."/editor.php?id_module=".$modules_info[$module_name]['id']."&id_record=".$idutente."\" method=\"post\">\n";
	
	echo "	<input type='hidden' name='op' value='add_pannello'>\n";
	echo "	<input type='hidden' name='backto' value='record-edit'>\n";

	
	//Seleziona tipologia documento
	echo "<div class='row'>\n";
	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Pannello</label>\n";	
	if( ($n2) == 0 ){
		echo "				... Non ci sono pannelli in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"idpannello\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"idpannello\" name=\"idpannello\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona un pannello -</option>\n";				
		echo "					<optgroup label=\"Pannelli (".$n2.")\">\n";		
		for( $i=0;$i<$n2;$i++ ){					
			echo "				<option value=\"".$rs[$i]['idpannello']."\"  >".$rs[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	
	//Seleziona tipologia documento

	echo "		<div class='col-md-6'>\n";
	echo "			<div class='form-group'>\n";
	echo "				<label>Dimensione</label>\n";	
	if( ($n3) == 0 ){
		echo "				... Non ci sono dimensioni  in archivio ...<br><br>\n";
		echo "				<input type=\"hidden\" id=\"iddimensione\" value=\"\">\n";
	}	
	else{
		echo "				<select id=\"iddimensione\" name=\"iddimensione\" class=\"superselect\" onchange=\"$('#descrizione').val( $(this).find(':selected').text() );  ;\">\n";
		echo "				<option value=\"\">- Seleziona una Dimensione -</option>\n";				
		echo "					<optgroup label=\"Stati Documento (".$n3.")\">\n";		
		for( $i=0;$i<$n3;$i++ ){					
			echo "				<option value=\"".$rs_stati[$i]['iddimensione']."\"  >".$rs_stati[$i]['descrizione']." </option>\n";
		}		
		echo "				</optgroup>\n";
	}	
	echo "				</select>\n";
	echo "			</div>\n";
	echo "		</div>\n";	
	

	
	echo "</div>\n";	
	
	
	
	
	
	echo "	<a onclick=\"duplica();\" class=\"btn btn-primary pull-right\"><i class=\"fa fa-plus\"></i> Aggiungi</a>\n";
	echo "</form>\n";
?>

	<script type="text/javascript">
	
		function duplica(){
			$("#link_form").submit();				
		}
		
		$(document).ready( function(){
			start_superselect();
			start_inputmask();
		});
	</script>

	<div class="clearfix"></div>

